#!/usr/bin/env sh

IAM="$(realpath $(dirname $0))"

mkdir -p ~/.config
mkdir -p ~/.bin

# shell dotfiles
ln -s $IAM/zlogin ~/.zlogin
ln -s $IAM/zshrc ~/.zshrc

# editor dotfiles
ln -s $IAM/emacs.d ~/.emacs.d
ln -s $IAM/vimrc ~/.vimrc

# X dotfiles
ln -s $IAM/xinitrc ~/.xinitrc
ln -s $IAM/xmodmap ~/.xmodmap

# WM/DE dotfiles
ln -s $IAM/i3 ~/.config/i3
ln -s $IAM/i3status ~/.config/i3status
ln -s $IAM/qt5ct ~/.config/qt5ct

# misc dotfiles
ln -s $IAM/gitconfig ~/.gitconfig

# tasks
emacs --script install-packages.el
